if RequiredScript == "lib/units/equipment/ammo_bag/ammobagbase" then
local ammo = AmmoBagBase.init
function AmmoBagBase:server_set_dynamic()
	if self._unit:body("dynamic") ~= nil and managers.network:session() then
		self._is_dynamic = true
		self._unit:body("dynamic"):set_enabled(true)
		managers.network:session():send_to_peers_synched("sync_unit_event_id_16", self._unit, "base", 1)
	end
end
function AmmoBagBase:init(unit)
	ammo(self, unit)
	self:server_set_dynamic()
end
end

if RequiredScript == "lib/units/equipment/doctor_bag/doctorbagbase" then
local doctor = DoctorBagBase.init
function DoctorBagBase:server_set_dynamic()
	if self._unit:body("dynamic") ~= nil and managers.network:session() then
		self._is_dynamic = true
		self._unit:body("dynamic"):set_enabled(true)
		managers.network:session():send_to_peers_synched("sync_unit_event_id_16", self._unit, "base", 1)
	end
end
function DoctorBagBase:init(unit)
	doctor(self, unit)
	self:server_set_dynamic()
end
end

if RequiredScript == "lib/units/equipment/first_aid_kit/firstaidkitbase" then
local fak = FirstAidKitBase.init
function FirstAidKitBase:server_set_dynamic()
	if self._unit:body("dynamic") ~= nil and managers.network:session() then
		self._is_dynamic = true
		self._unit:body("dynamic"):set_enabled(true)
		managers.network:session():send_to_peers_synched("sync_unit_event_id_16", self._unit, "base", 1)
	end
end
function FirstAidKitBase:init(unit)
	fak(self, unit)
	self:server_set_dynamic()
end
end

if RequiredScript == "lib/units/equipment/bodybags_bag/bodybagsbagbase" then
local body = BodyBagsBagBase.init
function BodyBagsBagBase:server_set_dynamic()
	if self._unit:body("dynamic") ~= nil and managers.network:session() then
		self._is_dynamic = true
		self._unit:body("dynamic"):set_enabled(true)
		managers.network:session():send_to_peers_synched("sync_unit_event_id_16", self._unit, "base", 2)
	end
end
function BodyBagsBagBase:init(unit)
	body(self, unit)
	self:server_set_dynamic()
end
end
if RequiredScript == "lib/units/equipment/sentry_gun/sentrygunbase" then
local sentry = SentryGunBase.init
function SentryGunBase:server_set_dynamic()
	if self._unit:body("dynamic_base") ~= nil and managers.network:session() then
		self._is_dynamic = true
		self._unit:body("dynamic_base"):set_enabled(true)
		managers.network:session():send_to_peers_synched("sync_sentrygun_dynamic", self._unit)
	end
end
function SentryGunBase:init(unit)
	sentry(self, unit)
	self:server_set_dynamic()
end
end